Package org.opensaml.soap.wspolicy.impl

# Class AbstractWSPolicyObjectUnmarshaller

java.lang.Object
org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller
org.opensaml.soap.wspolicy.impl.AbstractWSPolicyObjectUnmarshaller

All Implemented Interfaces:
  `Unmarshaller`

Direct Known Subclasses:
  `AppliesToUnmarshaller`, `OperatorContentTypeUnmarshaller`, `PolicyAttachmentUnmarshaller`, `PolicyReferenceUnmarshaller`

public abstract class AbstractWSPolicyObjectUnmarshaller extends AbstractXMLObjectUnmarshaller
An abstract unmarshaller implementation for XMLObjects from WS-Policy.

## Field Summary

### Fields inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`CONFIG_PROPERTY_XML_STRICT_MODE`

## Constructor Summary

Constructors
Constructor
Description
`AbstractWSPolicyObjectUnmarshaller()`

## Method Summary

### Methods inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`buildXMLObject, checkIDAttribute, processAttribute, processChildElement, processElementContent, processUnknownAttribute, unmarshall, unmarshallAttribute, unmarshallChildElement, unmarshallNamespaceAttribute, unmarshallSchemaInstanceAttributes, unmarshallTextContent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractWSPolicyObjectUnmarshaller

public AbstractWSPolicyObjectUnmarshaller()